2 Replies Latest reply: Jun 28, 2012 2:12 PM by dsimagry
JUNE PALLOTTINI Level 1 Level 1 (0 points)

I have snow leopard 10.6.3 and want to upgrade so I can use Icloud. What do I need to do?


iMac, Mac OS X (10.6.3)